commit:     4c5961ea3a65f363a1b80c295f12dc2515406bbd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 17:53:54 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 18:24:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c5961ea

dev-python/notebook: Bump to 6.4.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/notebook/Manifest               |  1 +
 dev-python/notebook/notebook-6.4.10.ebuild | 97 ++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 91712c93c65e..5edc67b44fe2 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,2 +1,3 @@
+DIST notebook-6.4.10.tar.gz 14357395 BLAKE2B 
32415b7d303b18c380ea6bab398246307a2b218ad52cdeb9a08db6f2f5f100515f36407358de094144f8da558762f7acf62505edbd9cf9e757fad1ac299f2431
 SHA512 
78a186c9907006d1fec1cea99e4c0f4181f673bf4dd383ed934cd2eb491cfd247db240fcec6a35a2967fe12b121863bbfaad0c4a8270618d03cd746f4688743b
 DIST notebook-6.4.8.tar.gz 14347639 BLAKE2B 
c2201562f0d672f16d6ae2388a443fcd87e81ae7de78c3a42acef82ff3e78c8e94e2be61e6156f622a9339138a2f14edef5057a3e601a7c15c8793f56d1071e2
 SHA512 
0e87aa155635ae536eb5a152c46cadbf85907a5af2ca15d063e718ff566ac6b76f4ce0f06f8adacae3be05ea970f1059d793e3121be855efd6c9072e9aa51719
 DIST notebook-6.4.9.tar.gz 14348373 BLAKE2B 
3a89c1765d4866e148f104fb0b5a9c6303576589e30547a3cf152824b57bcff3a543ac370f2e76bd35c5198c99edf23f8e80cdd7a76b06f14107051ab77c08db
 SHA512 
21c7ce0ae48ae17da27397b5c0d0579ad11a2525decf96288977d8d56a232a0e6cca05cff3e3bd4633b4abbf7f57d82b4fb36b8fccf9159f74f9cf2bbf023ff8

diff --git a/dev-python/notebook/notebook-6.4.10.ebuild 
b/dev-python/notebook/notebook-6.4.10.ebuild
new file mode 100644
index 000000000000..cab6ce6c14ec
--- /dev/null
+++ b/dev-python/notebook/notebook-6.4.10.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="https://jupyter.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-libs/mathjax-2.4
+       dev-python/argon2-cffi[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+       >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
+       dev-python/ipython_genutils[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+       dev-python/nbformat[${PYTHON_USEDEP}]
+       >=dev-python/nbconvert-4.2.0[${PYTHON_USEDEP}]
+       >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       >=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+       dev-python/prometheus_client[${PYTHON_USEDEP}]"
+
+BDEPEND="
+       >=dev-python/jupyter_packaging-0.9[${PYTHON_USEDEP}]
+       test? (
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}"-5.7.0-no-mathjax.patch
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # disable bundled mathjax
+       sed -i 's/^.*MathJax.*$//' bower.json || die
+
+       distutils-r1_python_prepare_all
+}
+
+EPYTEST_DESELECT=(
+       # trash doesn't seem to work for us
+       
notebook/services/contents/tests/test_contents_api.py::APITest::test_checkpoints_follow_file
+       
notebook/services/contents/tests/test_contents_api.py::APITest::test_delete
+       
notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_checkpoints_follow_file
+       
notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete
+       
notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_dirs
+       
notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_non_empty_dir
+       
notebook/services/contents/tests/test_manager.py::TestContentsManager::test_delete
+       
notebook/services/contents/tests/test_manager.py::TestContentsManagerNoAtomic::test_delete
+       # TODO
+       
notebook/services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
+       
notebook/services/kernels/tests/test_kernels_api.py::AsyncKernelAPITest::test_connections
+       
notebook/services/kernels/tests/test_kernels_api.py::KernelCullingTest::test_culling
+       
notebook/services/nbconvert/tests/test_nbconvert_api.py::APITest::test_list_formats
+)
+
+EPYTEST_IGNORE=(
+       # selenium tests require geckodriver
+       notebook/tests/selenium
+)
+
+python_install() {
+       distutils-r1_python_install
+
+       ln -sf \
+               "${EPREFIX}/usr/share/mathjax" \
+               "${D}$(python_get_sitedir)/notebook/static/components/MathJax" 
|| die
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to